
CREATE TABLE provider_roles ( 
Rolename varchar(255)  NOT NULL default '', 
ApplicationName varchar(255)  NOT NULL default '', 
PRIMARY KEY (Rolename,ApplicationName) 
) ;

CREATE TABLE provider_users ( 
PKID char(40)  NOT NULL default '', 
Username varchar(255)  NOT NULL default '', 
ApplicationName varchar(255)  NOT NULL default '', 
Email varchar(128) NOT NULL default '', 
Comment varchar(255)  default NULL, 
Password varchar(255)  NOT NULL default '', 
PasswordSalt varchar(128),
PasswordQuestion varchar(255)  default NULL, 
PasswordAnswer varchar(255) default NULL, 
IsApproved Boolean default NULL, 
LastActivityDate timestamp default NULL, 
LastLoginDate timestamp default NULL, 
LastPasswordChangedDate timestamp default NULL, 
CreationDate timestamp default NULL, 
IsLockedOut Boolean default NULL, 
LastLockedOutDate timestamp default NULL, 
FailedPasswordAttemptCount int default NULL, 
FailedPasswordAttemptWindowStart timestamp default NULL, 
FailedPasswordAnswerAttemptCount int default NULL, 
FailedPasswordAnswerAttemptWindowStart timestamp default NULL, 
PRIMARY KEY (PKID) 
) ;


CREATE TABLE provider_usersinroles ( 
Username varchar(255) NOT NULL default '', 
Rolename varchar(255)  NOT NULL default '', 
ApplicationName varchar(255)  NOT NULL default '', 
PRIMARY KEY (Username,Rolename,ApplicationName) 
);

